com.amazonaws.services.elastictranscoder.model

## Class CreateJobResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.elastictranscoder.model.CreateJobResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class CreateJobResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

The CreateJobResponse structure.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CreateJobResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateJobResult` `clone()`
`boolean` `equals(Object obj)`
`Job` `getJob()` A section of the response body that provides information about the job that is created.
`int` `hashCode()`
`void` `setJob(Job job)` A section of the response body that provides information about the job that is created.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateJobResult` `withJob(Job job)` A section of the response body that provides information about the job that is created.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateJobResult

    public CreateJobResult()

### Method Detail

#### setJob

    public void setJob(Job job)

A section of the response body that provides information about the job that is created.

Parameters:
  `job` - A section of the response body that provides information about the job that is created.

#### getJob

    public Job getJob()

A section of the response body that provides information about the job that is created.

Returns:
  A section of the response body that provides information about the job that is created.

#### withJob

    public CreateJobResult withJob(Job job)

A section of the response body that provides information about the job that is created.

Parameters:
  `job` - A section of the response body that provides information about the job that is created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateJobResult clone()

Overrides:
  `clone` in class `Object`